install nova[juno] with error conflicts with pyxml < 0.8.5

asked 2016-08-21 22:42:37 -0500

I am a new guy for openstack, and want to install openstack juno on suse 11 sp3. follow the document 'OPENSTACK INSTALLATION GUIDE FOR OPENSUSE 13.1 AND SUSE LINUX ENTERPRISE SERVER 11 SP3 - JUNO', and everything is ok before i install nova ('To install and configure Compute controller components')

The error message is:

Problem: openstack-nova-api-2014.2.4.juno-5.1.x86_64 requires openstack-nova = 2014.2.4.juno, but this requirement cannot be provided
uninstallable providers: openstack-nova-2014.2.4.juno-5.1.x86_64[Juno]
Solution 1: Following actions will be done:
    do not install openstack-nova-api-2014.2.4.juno-5.1.x86_64
    do not install openstack-nova-cert-2014.2.4.juno-5.1.x86_64
    do not install openstack-nova-conductor-2014.2.4.juno-5.1.x86_64
    do not install openstack-nova-consoleauth-2014.2.4.juno-5.1.x86_64
    do not install openstack-nova-novncproxy-2014.2.4.juno-5.1.x86_64
    do not install openstack-nova-scheduler-2014.2.4.juno-5.1.x86_64
Solution 2: deinstallation of pyxml-0.8.4-194.23.38.x86_64
Solution 3: break openstack-nova-api-2014.2.4.juno-5.1.x86_64 by ignoring some of its dependencies

i try to install openstack-nova, but with error:

openstack-nova-2014.2.4.juno-5.1.x86_64 requires python-nova = 2014.2.4.juno, but this requirement cannot be provided

then i install python-nova, with error:

python-nova-2014.2.4.juno-5.1.x86_64 conflicts with pyxml < 0.8.5 provided by pyxml-0.8.4-194.23.38.x86_64

so, i think this is the problem, maybe my nova conflicts with pyxml 0.8.4?

how can i solve this problem? please help me out and thanks a lot.

edit retag flag offensive close merge delete

Comments

Just curious if you have added up the openstack repository on the system , this is as per the guide and you are on the correct version of linux opensuse 13.1 or SUSE 11 SP3

Mohit gravatar imageMohit ( 2016-08-22 22:25:18 -0500 )edit

Yes i am sure the linux version is SUSE 11 SP3, and i have added up the openstack repository. I removed the pyxml and continue the installation, but i am afraid something wrong will happen at future.

itsgoodtobebad gravatar imageitsgoodtobebad ( 2016-08-25 21:15:32 -0500 )edit